2002-05-20  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp (*y2k-cut*):
	new custom variable
	(fix-y2k): new function - fix the Y2K bug
	(string->dttm): use it

	* /cvsroot/clocc/clocc/src/cllib/date.lisp (infer-timezone):
	ignore non-numeric `minutes' instead of barfing

2002-04-30  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp (plot-term, make-plot-term):
	exported

2002-04-25  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp (*inspect-all*):
	bind in INSPECT instead of using a global
	variable since nested INSPECT sessions can interfere with
	each other, each modifying the same *INSPECT-ALL*
	(inspect-finalize): the default method now does nothing

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp (inspect-cllib):
	keep the temp inspect package in a lexical
	variable in addition to *PACKAGE* to avoid killing the wrong
	package if *PACKAGE* was changed during the inspection

2002-04-21  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/html.lisp: updated (C)

	* /cvsroot/clocc/clocc/src/cllib/html.lisp (dump-url-tokens, xml-read-from-url):
	use *URL-MAX-RETRY* instead of
	*URL-DEFAULT-MAX-RETRY* and *URL-TIMEOUT* instead of *URL-DEFAULT-TIMEOUT*

	* /cvsroot/clocc/clocc/src/cllib/clhs.lisp (*clhs-hashtable*):
	define before the first use

	* /cvsroot/clocc/clocc/src/cllib/rpm.lisp:
	use *URL-MAX-RETRY* instead of *URL-DEFAULT-MAX-RETRY*
	and *URL-TIMEOUT* instead of *URL-DEFAULT-TIMEOUT*

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp (with-url-xml):
	use *URL-MAX-RETRY* instead of *URL-DEFAULT-MAX-RETRY*

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (with-open-url):
	use *URL-MAX-RETRY* instead of *URL-DEFAULT-MAX-RETRY*
	and *URL-TIMEOUT* instead of *URL-DEFAULT-TIMEOUT*

	* /cvsroot/clocc/clocc/src/cllib/miscprint.lisp:
	use UNLOCK-PACKAGE and RESTORE-PACKAGE-LOCK around
	(PRINT-OBJECT HASH-TABLE STREAM)

	* /cvsroot/clocc/clocc/src/cllib/closio.lisp:
	use UNLOCK-PACKAGE and RESTORE-PACKAGE-LOCK around
	(PRINT-OBJECT STANDARD-OBJECT STREAM)

2002-04-08  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/clhs.lisp: Dynamic symbol->file map
	(+clhs-alist+): removed
	(clhs-version): new defstruct
	(*clhs-version-table*): new variable - list of known CLHS versions
	(clhs-read-map): read the symbol->file map from a stream
	(clhs-init): init `*clhs-alist*', `*clhs-hashtable*'
	and `*clhs-version*' from `*clhs-root*'
	(clhs-write-entity): reply on `*clhs-version*' for markup
	(clhs-doc): call `clhs-init' when `*clhs-hashtable*' is nil

	* /cvsroot/clocc/clocc/src/cllib/url.lisp: updated the (C) years

	* /cvsroot/clocc/clocc/src/cllib/url.lisp:
	Handle both full and path-only GET requests
	(url) [struct]: new slot `get-request-type'
	(url) [converter]: file:/ URLs are local
	(*url-default-sleep*): renamed to `*url-sleep*'
	(*url-default-timeout*): renamed to `*url-timeout*'
	(*url-default-max-retry*): renamed to `*url-max-retry*'
	(open-socket-retry, url-get, ftp-get-file, url-ftp-get, ftp-list)
	(url-get-news, dump-url): bind them instead of lexicals
	(url-get-request): new function
	(url-open-http): use it and set the `get-request-type' slot

2002-04-03  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (*browsers*):
	added mozilla, links and
	various `-remote' and `-xterm' variations

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (flush-http):
	moved here from htmlgen.lisp;
	made to work with CMUCL where #\Newline == #\Linefeed
	(url-get-port): save the guess in to the port slot
	(url-open-http): use the full URL in the GET request:
	this might break older servers, but this is necessary
	for proxies (like sourceforge);
	the clean solution is obviously to try both in turn,
	but I am too lazy now and the RFC 2616 HTTP/1.1
	[<http://www.ietf.org/rfc/rfc2616.txt> or
	 <http://www.w3.org/Protocols/rfc2616/rfc2616.html>]
	specifies that this is the way of the future anyway
	(url-get): flush the HTTP header and switch the http
	socket to the binary mode (CLISP only, since ACL has
	bivalent sockets anyway and CMUCL does not need this)

	* /cvsroot/clocc/clocc/src/cllib/htmlgen.lisp (flush-http):
	moved to url.lisp

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp: comment

2002-03-30  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (socket-send/fin):
	use #\Linefeed instead of #\Newline for full portability

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (socket-send):
	new function: terminate lines with CRLF
	(open-url, url-open-http, url-ask): use it

2002-03-27  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/server.lisp (start-lisp-connection-listener):
	fixed PORT:MAKE-PROCESS calls

	* /cvsroot/clocc/clocc/src/cllib/cvs.lisp (cvs-change-root):
	:external-format is CLISP-specific

2002-03-24  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp (plot-msg): removed
	(internal-with-plot-stream): use `mesg' instead of `plot-msg'

2002-03-18  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/elisp.lisp:
	[CLISP]: *SOURCE-FILE-TYPES* is a list of strings, not pathnames

2002-03-14  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (xmlns-get): new option :out
	(+xml-namespace-xml+, +xml-namespace-none+): init silently

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (make-url): exported

2002-03-11  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (url-send-mail):
	pass full address as RCPT TO

2002-03-09  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/tests.lisp (test-url):
	added a mailto: test

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (url):
	fixed last patch that broke mailto: URL parsing
	(*url-replies*): added :conn = 220
	(url-ask): barf when symbol END is not in *URL-REPLIES*

2002-03-05  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/cvs.lisp (cvs-stat-log):
	print a message before the second TOP-BOTTOM-UI call

2002-03-02  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/sorted.lisp (top-bottom-ui):
	support :KLABEL keyword arg for printing keys

	* /cvsroot/clocc/clocc/src/cllib/cvs.lisp (cvs-stat-log):
	print top 10 most frequently
	 and top 10 most recently revised files

	* /cvsroot/clocc/clocc/src/cllib/sorted.lisp: doc string spelling

2002-02-13  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp (get-quotes-yahoo, get-quotes-xmltoday):
	reverse the list of daily-data

2002-02-12  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp (get-quotes-xmltoday, get-quotes-yahoo):
	bind
	 *READ-DEFAULT-FLOAT-FORMAT* to DOUBLE-FLOAT

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp (with-url-xml):
	do not bind *xml-read-balanced* and *xml-read-entities*
	(date-mo/da/ye): new function
	(get-quotes-yahoo): use the CSV service
	(get-quotes-xmltoday): new function
	(*get-quote-url-list*): new service "XMLToday"

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (xmln=):
	new generic function to check XML names for equality
	(xmlo-nm): extract the XML tag name as a string
	(xmlo-tag): get the value of the name arg in the XML tag
	(xmlo-name-check): ensure that the object has the given name
	(xml-purge-data): ditch the whitespace from all data

	* /cvsroot/clocc/clocc/src/cllib/date.lisp (string-w3-datetime):
	new function for parsing W3 datetim format
	(string-w3-dttm): ditto, but encode time
	(string->dttm): use it

	* /cvsroot/clocc/clocc/src/cllib/tests.lisp (test-date):
	test the w3 datetime format

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp (http-command):
	:external-format :dos is CLISP-specific

2002-02-06  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp (*gnuplot-path*):
	fixed doc and UNIX init value

2002-01-26  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/card.lisp (time2string):
	removed (replaced with `dttm->string')
	(card-print-as-bbdb, card-print-as-vcard, card-print-as-pretty):
	 use `dttm->string' instead of `time2string'
	(+card-vcard-begin+, +card-vcard-end+): new constants
	(card-print-as-vcard, card-read-vcard): use them
	(card-read-vcard): handle "REV:" and "CRE:"

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Handle <http://www.w3.org/TR/NOTE-datetime> time specs
	(infer-timezone): accept a MINUTES optional arg for "+04:30" TZ
	(date-formatter): two new formatters: :DATE and :DATETIME
	(string->dttm): parse :DATETIME format

	* /cvsroot/clocc/clocc/src/cllib/fileio.lisp (read-list-from-stream):
	accept a READ-AHEAD-FUNCTION keyword arg

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp (hist-totl-comp):
	need an OF-TYPE before a typespec on LispWorks
	Reported by Kristoffer Kvello <krkvello@online.no>

2002-01-16  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp (http-command):
	reconnect when a KEEP-ALIVE connection times out;
	handle invalid requests (e.g., for favicon.ico) and ":"->"%3a"
	[FIXME: disabled KEEP-ALIVE connections because it appears that
	 content length in WITH-HTTP-OUTPUT is computed incorrectly]
	(inspect-frontend) [http]: handle NIL ID returned by HTTP-COMMAND
	due to an invalid request

	* /cvsroot/clocc/clocc/src/cllib/htmlgen.lisp:
	(close) [html-stream-out]: invoke CALL-NEXT-METHOD
	(*with-html-output-doctype*): new user variable, defaults to XHTML
	(with-html-output): use it
	(with-http-output): new keyword args: RETURN-NAME and RETURN-CODE
	(http-error): new function

2002-01-07  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp (*hist-data-file*): export

2001-12-07  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/card.lisp (*user-bbdb-file*, *user-vcard-file*, *user-native-file*):
	use `mk-path'

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp (*gq-log*): use `mk-path'

	* /cvsroot/clocc/clocc/src/cllib/cvs.lisp (cvs-change-root):
	use `mk-path'

	* /cvsroot/clocc/clocc/src/cllib/base.lisp (mk-path):
	new function for creating paths under a default
	(*datadir*): use it

2001-12-06  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp (*gq-log*, *hist-data-file*):
	do not use #\/ in pathname strings

	* /cvsroot/clocc/clocc/src/cllib/base.lisp: oops

	* /cvsroot/clocc/clocc/src/cllib/base.lisp (*datadir*):
	do not use #\/ in pathname strings

	* /cvsroot/clocc/clocc/src/cllib/cvs.lisp (cvs-change-root):
	do not use #\/ in pathname strings

	* /cvsroot/clocc/clocc/src/cllib/card.lisp (*user-bbdb-file*, *user-vcard-file*, *user-native-file*):
	pass
	 :DEFAULTS NIL to MAKE-PATHNAME to avoid *DEFAULT-PATHNAME-DEFAULTS*

2001-12-04  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (*nntp-server*):
	renamed from `*nntpserver*' and exported
	(*url-replies*): exported
	(*url-errors*): new user var, exported
	(url): recognize <nttp:message-ID> URLs
	(open-url, dump-url): bind `*nntp-server*' in the arglist
	(open-url, url-get-news): handle <nttp:message-ID> URLs
	(open-url, url-open-http, url-login-ftp): `path' error is now `net-path'
	(url-ask): use `*url-errors*' to decide what error to signal
	(dump-url): dumping an NNTP URL requires checking for ".", not just EOF

2001-11-07  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp (update-quotes):
	pass `plot' to `plot-portfolio'

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp (plot-output/plot-term):
	set output to file type depending on terminal
	(plot-axis): new slot - `name' for gnuplot axis name
	(plot-spec): init :name, not :label in *-axis
	(plot-output/plot-axis): fixed accordingly
	(make-plot): pass :name to `make-plot-axis'
	(internal-with-plot-stream): init `plot-file' correctly

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (xml-list-to-alist):
	tost: handle standalone characters (for malformed HTML)

	* /cvsroot/clocc/clocc/src/cllib/tests.lisp (test-xml):
	there are 1096 entities in "clocc:etc;cl-ent.xml" now

2001-11-04  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/rng.lisp (gen-exponential-variate-ziggurat):
	density has to accept 0d0 too

2001-11-02  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/animals.lisp, /cvsroot/clocc/clocc/src/cllib/autoload.lisp, /cvsroot/clocc/clocc/src/cllib/base.lisp, /cvsroot/clocc/clocc/src/cllib/card.lisp, /cvsroot/clocc/clocc/src/cllib/check.lisp, /cvsroot/clocc/clocc/src/cllib/clhs.lisp, /cvsroot/clocc/clocc/src/cllib/closio.lisp, /cvsroot/clocc/clocc/src/cllib/cvs.lisp, /cvsroot/clocc/clocc/src/cllib/date.lisp, /cvsroot/clocc/clocc/src/cllib/datedl.lisp, /cvsroot/clocc/clocc/src/cllib/doall.lisp, /cvsroot/clocc/clocc/src/cllib/elisp.lisp, /cvsroot/clocc/clocc/src/cllib/fileio.lisp, /cvsroot/clocc/clocc/src/cllib/fin.lisp, /cvsroot/clocc/clocc/src/cllib/geo.lisp, /cvsroot/clocc/clocc/src/cllib/getopt.lisp, /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp, /cvsroot/clocc/clocc/src/cllib/gq.lisp, /cvsroot/clocc/clocc/src/cllib/h2lisp.lisp, /cvsroot/clocc/clocc/src/cllib/html.lisp, /cvsroot/clocc/clocc/src/cllib/htmlgen.lisp, /cvsroot/clocc/clocc/src/cllib/inspect.lisp, /cvsroot/clocc/clocc/src/cllib/iter.lisp, /cvsroot/clocc/clocc/src/cllib/laser.lisp, /cvsroot/clocc/clocc/src/cllib/list.lisp, /cvsroot/clocc/clocc/src/cllib/log.lisp, /cvsroot/clocc/clocc/src/cllib/math.lisp, /cvsroot/clocc/clocc/src/cllib/matrix.lisp, /cvsroot/clocc/clocc/src/cllib/miscprint.lisp, /cvsroot/clocc/clocc/src/cllib/octave.lisp, /cvsroot/clocc/clocc/src/cllib/prompt.lisp, /cvsroot/clocc/clocc/src/cllib/rng.lisp, /cvsroot/clocc/clocc/src/cllib/rpm.lisp, /cvsroot/clocc/clocc/src/cllib/server.lisp, /cvsroot/clocc/clocc/src/cllib/simple.lisp, /cvsroot/clocc/clocc/src/cllib/sorted.lisp, /cvsroot/clocc/clocc/src/cllib/stat.lisp, /cvsroot/clocc/clocc/src/cllib/string.lisp, /cvsroot/clocc/clocc/src/cllib/symb.lisp, /cvsroot/clocc/clocc/src/cllib/tests.lisp, /cvsroot/clocc/clocc/src/cllib/tilsla.lisp, /cvsroot/clocc/clocc/src/cllib/url.lisp, /cvsroot/clocc/clocc/src/cllib/withtype.lisp, /cvsroot/clocc/clocc/src/cllib/xml.lisp:
	prefix module names with `cllib-'

2001-10-27  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/clhs.lisp (clhs-write-entities):
	write <?xml?>

2001-10-11  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/elisp.lisp (emacs-lisp):
	package uses port too
	(el::defalias): turn into a function
	(defun-face): new macro
	(el::define-key, el::make-sparse-keymap, el::substitute-key-definition)
	(el::interactive, el::make-help-screen, el::help-for-help)
	(el::start-kbd-macro, el::substitute-command-keys): use it
	(el::display-color-p, el::propertize, el::make-mode-line-mouse-map):
	 new fake defuns
	(el::emacs-home, el::site-lisp-dir): new vars
	(el::load-path): use them, do not list subdirs
	(locate-file): look into the subdirs too

2001-10-05  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (print-object xml-misc):
	added XML printing style
	(xml-size): also count the number of sub-elements
	(xmlo-terpri-p): new function
	(print-object xml-obj): use it
	(read-xml): strip the last "?" from XML-DECL
	(xml-xhtml-remove-unused-ids): new function
	(xml-xhtml-tidy): new exported function

2001-09-26  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp (dttm->string):
	added &key dst

	* /cvsroot/clocc/clocc/src/cllib/date.lisp (infer-timezone):
	use `string->tz'
	(dttm->string): generate TZ too
	(date-formatter): two additional args: DST and TZ

	* /cvsroot/clocc/clocc/src/cllib/htmlgen.lisp, /cvsroot/clocc/clocc/src/cllib/tests.lisp:
	dttm->string now takes &key and not &optional arguments

	* /cvsroot/clocc/clocc/src/cllib/date.lisp (dttm->string):
	added keyword argument TZ (time zone)

	* /cvsroot/clocc/clocc/src/cllib/date.lisp (dttm->string):
	document that it is GMT

2001-09-19  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/log.lisp (*print-log*):
	do not quote SIMPLE-VECTOR

2001-09-10  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (url-p): exported

2001-09-09  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/rpm.lisp (rpm-available):
	pass through `path' conditions

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (url-open-http):
	signal a `path' error on 404&c
	(open-url): pass through `path' conditions
	(url-login-ftp): cwd errors generate `path' conditions

2001-09-07  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/html.lisp (xml-read-from-url):
	accept `max-retry' and `timeout' keyword arguments
	for `with-open-url' and parse the http headers before reading XML

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (http-parse-header):
	new function

2001-09-06  rtoy  <rtoy@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/math.lisp:
	Computation of continued fractions can sometimes overflow.  Rescale
	the iteration once in a while.

2001-09-06  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/html.lisp (xml-read-from-url):
	new function

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (xml-default-reset-entities):
	new function

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (url-path-dir): typo

2001-09-05  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (url-path-parse):
	new function
	(url-path-dir, url-path-file, url-path-args): use it

	* /cvsroot/clocc/clocc/src/cllib/url.lisp:
	export URL struct slot accessors and manipulators

	* /cvsroot/clocc/clocc/src/cllib/tests.lisp (test-xml):
	5 more entities have been added to "cl-ent.xml"

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp (*print-log*):
	is now a simple vector

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (with-xml-file):
	pass `:type :xml' to `with-timing'

	* /cvsroot/clocc/clocc/src/cllib/log.lisp (*print-log*):
	simple vector now
	(print-log-p): new function
	(mesg): use it
	(with-timing): take an additional keyword `type'

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (xml-init-entities):
	take an `out' keyword arg
	(with-xml-file): pass `out' to `xml-init-entities'

2001-08-31  rtoy  <rtoy@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/math.lisp:
	o Replace cndf and erf with more accurate versions based on an
	  implementation from calerf in TOMS 715.  Accurate for double-floats.
	o Added erfc, erfcx, and cndf-tail functions.
	o Added an implementation of erf and erfc based on continued
	  fractions.  (Allowing accurate computation of these for
	  long-floats.)

2001-08-27  rtoy  <rtoy@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/rng.lisp:
	o ZIGGURAT-INIT:  forgot to initialize x[0], fx[0], and fx[n].
	  (Thanks to Clisp for catching this stupid error.)
	o Make TIME-EXPO, TIME-GAUSSIAN work for non-CMUCL systems too.
	o RNG-EXPO-HISTOGRAM should use PLOT-HIST-PDF.  Make it use m = 2, as
	  a check that the generators work.

	* /cvsroot/clocc/clocc/src/cllib/rng.lisp:
	o Change scaling in Ziggurat method for exponential variates because
	  CMUCL on sparc doesn't convert (unsigned-byte 32) to floats very
	  well.
	o Add timing info for CMUCL sparc.  Ziggurat method is the fastest
	  still.

2001-08-26  rtoy  <rtoy@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/rng.lisp:
	Add Marsaglia's Ziggurat method for generating exponential and
	Gaussian variates.  Almost twice as fast as any of the others.

2001-08-21  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp (get-quotes-yahoo):
	skip the initial junk

2001-07-16  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (url-ask):
	~? consumes two arguments
	 Reported by Janne Rinta-Manty <rintaman@cs.Helsinki.FI>

2001-07-03  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp (*get-quote-url-list*):
	SecAPL is dead

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (url-get-port):
	Solaris does not have http in /etc/services

2001-06-25  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/math.lisp (cndf):
	comulative normal distribution function (renamed from erf)
	(erf): changed to comply to the UNIX erf

	* /cvsroot/clocc/clocc/src/cllib/fin.lisp (black-scholes-call, black-scholes-eput):
	use CNDF instead of ERF

2001-06-24  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/math.lisp (erf):
	comment: the same as cumulative normal distribution function

2001-06-22  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (make-xml-readtable):
	made #\| and #\* "single chars"
	(read-xml): #\[ does not need `xml-list-to-alist'
	 in <!DOCTYPE foo [...]>

2001-06-11  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (dump-url):
	use NIL as EOF-value in READ-LINE

	* /cvsroot/clocc/clocc/src/cllib/geo.lisp (weather-report):
	use NIL as EOF-value in READ-LINE

	* /cvsroot/clocc/clocc/src/cllib/clhs.lisp (clhs-snarf-examples):
	use NIL as EOF-value in READ-LINE

	* /cvsroot/clocc/clocc/src/cllib/card.lisp (card-read-vcard):
	use NIL as EOF-value in READ-LINE

2001-06-08  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp:
	(*gnuplot-printer*, *gnuplot-file*, all defstructs):
	  eval always for CMUCL
	(%plotout): new function, replaces FLET around some defmethods

2001-05-23  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/cvs.lisp (cvs-change-root):
	new exported autoloaded function

2001-05-17  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp:
	rewrote the backend in the object-oriented way

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp: intermediate

2001-05-16  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp:
	(plot-data-style, plot-lists, plot-lists-arg):
	 reduce/:key is better than apply+mapcar

2001-05-10  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/fileio.lisp (load-compile-maybe):
	new keyword argument `:force'

2001-05-07  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/cvs.lisp (cvs-stat-log):
	fresh-line before messages

2001-05-04  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp (internal-with-plot-stream/pp):
	downcase symbols (Raymond Toy)

2001-05-01  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp (*gnuplot-default-directive*):
	new exported user option
	(with-plot-stream, internal-with-plot-stream):
	 PLOT is now an ordinary option; PLOT=T is deprecated
	 PLOT can now be a stream or a pathname designator too

2001-04-30  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp (internal-with-plot-stream):
	output a `fresh-line'
	 to `plot-str' during clean-up

2001-04-27  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/math.lisp (product-from-to):
	comment fix

2001-04-26  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp (with-plot-stream):
	check the length of `options' and call
	 `internal-with-plot-stream' appropriately
	(internal-with-plot-stream): new option - `border'

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp (plot-portfolio):
	updated for the new `with-plot-stream'

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp (with-plot-stream):
	use `internal-with-plot-stream'
	(internal-with-plot-stream): moved the bulk of
	 `with-plot-stream' and `plot-header' here
	 :data-style has to be a symbols, :legend - a list of symbols
	(plot-header): removed

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp:
	export xml-obj, xml-name, xml-namespace accessors

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp (with-plot-stream):
	do not call `apply' on `plot-header'

2001-04-25  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp (date-formatter): export

2001-04-23  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp: typos

2001-04-22  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp (date-formatter): added docs

	* /cvsroot/clocc/clocc/src/cllib/date.lisp (date-formatter):
	new method :mbox
	 from Dave Pearson <davep@davep.org>

2001-04-20  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/htmlgen.lisp (directory-index):
	use dttm->string :short

	* /cvsroot/clocc/clocc/src/cllib/tests.lisp (test-date):
	use dttm->string :short

	* /cvsroot/clocc/clocc/src/cllib/date.lisp (dttm->string):
	call `date-formatter'
	(date-formatter): new generic function
	 [suggested by Dave Pearson & Marco Antoniotti]

	* /cvsroot/clocc/clocc/src/cllib/fileio.lisp (file-newer):
	ignore errors in `file-write-date'

	* /cvsroot/clocc/clocc/src/cllib/rpm.lisp:
	do not read the test stuff at the end, ever

2001-04-19  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp (string->dttm):
	handle full week day names

2001-04-18  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp (infer-timezone):
	negate the numeric offset
	Reported by Dave Pearson <davep@davep.org>

2001-04-11  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/fileio.lisp, /cvsroot/clocc/clocc/src/cllib/math.lisp, /cvsroot/clocc/clocc/src/cllib/octave.lisp, /cvsroot/clocc/clocc/src/cllib/prompt.lisp, /cvsroot/clocc/clocc/src/cllib/rpm.lisp:
	updated for CLISP #+LISP=CL

2001-04-02  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/fileio.lisp (load-compile-maybe):
	new exported function

	* /cvsroot/clocc/clocc/src/cllib/animals.lisp (play-game):
	save the net at the end

	* /cvsroot/clocc/clocc/src/cllib/fileio.lisp (save-restore): doc fix

	* /cvsroot/clocc/clocc/src/cllib/animals.lisp (*animals-file-name*):
	export
	(*animals-debug-output*): removed, use (mesg :animals) instead
	(play-animals): use `save-restore' to save `*animals-data*' too

	* /cvsroot/clocc/clocc/src/cllib/autoload.lisp (autoload-stream):
	export the `autoload' symbol
	(autoload-generate): export the symbol before calling `autoload'

	* /cvsroot/clocc/clocc/src/cllib/base.lisp (*datadir*, *mail-host-address*, *user-mail-address*):
	exported

2001-03-30  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/fileio.lisp (read-list-from-stream):
	new keyword argument `package'

2001-03-29  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/card.lisp, /cvsroot/clocc/clocc/src/cllib/cvs.lisp, /cvsroot/clocc/clocc/src/cllib/gq.lisp:
	respect the new calling conventions of `read-list-from-*'

	* /cvsroot/clocc/clocc/src/cllib/fileio.lisp (read-list-from-stream):
	use keyword arguments
	 instead of optional/rest combination; added `readtable' arg
	(read-list-from-file): take a single &rest arg and pass it to
	 `read-list-from-stream'

	* /cvsroot/clocc/clocc/src/cllib/h2lisp.lisp (read-c-junk):
	do not handle ";,:*|"
	(make-c-readtable): pass them to `read-standalone-char'

	* /cvsroot/clocc/clocc/src/cllib/html.lisp (read-html-markup):
	do not handle ";,:"
	(make-html-readtable): pass them to `read-standalone-char'

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (read-standalone-char):
	new exported function
	(read-xml): do not handle #\: and #\=
	(make-xml-readtable): tass #\: and #\= to `read-standalone-char'

	* /cvsroot/clocc/clocc/src/cllib/rng.lisp:
	(gen-exponential-variate-sa, gen-exponential-variate-algorithm-ma,
	gen-exponential-variate-ea, gen-exponential-variate-ea-2):
	 added ignore declaration to avoid warnings
	(gen-std-laplacian-variate): use `gen-exponential-variate' (typo)
	(gen-gaussian-variate-box-trig): avoid CLISP floating contagion warning

2001-03-21  rtoy  <rtoy@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/rng.lisp:
	o Verify algorithms and add comments about which ones work and which
	  ones don't
	o Add macros gen-<type>-variate to use the desired underlying
	  generators.
	o Fix gamma generators that were calling non-existent Gaussian and
	  exponential variates.
	o Some comment fixes.

2001-03-20  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (stream-length, xml-path):
	ACL `excl:file-simple-stream'
	 braindamage is specific to version 6

2001-03-19  rtoy  <rtoy@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/rng.lisp:
	o Updated with several new generators for exponential.
	o Added and updated (but commented out) timing routines.
	o Added simple histogram routines used for testing whether the
	  generators work or not.  (Commented out).

2001-03-15  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/rng.lisp:
	added provide, in-package and use `dfloat'

2001-03-14  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/rng.lisp: initial checkin

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (read-xml):
	add the #\; at the end of the UNICODE chars
	 handle entities which contain text instead of a tag

2001-03-13  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (read-xml):
	handle #\/ separately
	(make-xml-readtable): pass #\/ to `read-xml'

2001-02-07  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp: typo

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp (*inspect-unbound-value*):
	new internal variable
	(inspect-cllib): bind it
	(inspect-backend): use it for unbound symbols and slots
	(get-insp): call `insp-check' only when `insp' is non-NIL

2001-02-06  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/base.lisp (defpackage "CLLIB"):
	use string!

	* /cvsroot/clocc/clocc/src/cllib/base.lisp (defpackage cllib):
	use strings instead of symbols

2001-01-23  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/math.lisp (poly):
	use `reduce' instead of `loop'

2001-01-08  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp: works with CMUCL 18c
	(require :ext): for `required-argument'
	(print-object xml-name): the default namespace is
	 `+xml-namespace-none+', not `nil'
	(xml-tag): `name' is required

	* /cvsroot/clocc/clocc/src/cllib/closio.lisp (read-object):
	`nil' in `case' has to be in ()

2001-01-04  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp (update-quotes):
	new keyword arg `hist-file'

2000-12-12  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (xml-read-entity):
	better error message
	(stream-length, xml-path): handle the ACL6 braindamage:
	 `open' returns an `excl:file-simple-stream', not a `file-stream'

2000-12-06  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/clhs.lisp (clhs-write-entity):
	added ";" after &lt and &gt

2000-12-03  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (xml-read-entity):
	do not modify data;
	 somehow it is read-only on clisp (bug?)
	(xml-print-readably-p): do not quote the list
	(xmlns-get): `pushnew' instead of `push'
	(print-object xml-name): use `write', not `princ'
	(initialize-instance xml-stream-in): use `if', not `cond'
	(xmlis-push): new function
	(read-xml): use it
	(xml-list-to-alist): delete comments from the argument
	(xml-resolve-namespaces): replaced `recursive-p' with `recursion-depth'

2000-11-20  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp (update-quotes):
	typo in features

2000-11-16  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp, /cvsroot/clocc/clocc/src/cllib/gq.lisp, /cvsroot/clocc/clocc/src/cllib/octave.lisp:
	Allegro uses feature :mswindows, not :win32

2000-11-15  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp (previous-working-day):
	`skip' defaults to 1, not -1

2000-11-10  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp (inspect-frontend):
	call `browse-url' regardless of
	the value of `*inspect-browser*'

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (*browser*):
	new user variable
	(browse-url): use it as the default browser

2000-11-09  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp (print-inspection):
	added &rest argument
	(http-command): get `keep-alive' too; use `flush-http'

	* /cvsroot/clocc/clocc/src/cllib/htmlgen.lisp, /cvsroot/clocc/clocc/src/cllib/inspect.lisp:
	*** empty log message ***

2000-11-08  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp (http-command):
	use `flush-http'

	* /cvsroot/clocc/clocc/src/cllib/htmlgen.lisp (flush-http):
	new exported function

	* /cvsroot/clocc/clocc/src/cllib/htmlgen.lisp (with-http-output): typos

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp:
	use `with-http-output' instead of `with-html-output'

	* /cvsroot/clocc/clocc/src/cllib/htmlgen.lisp (with-http-output):
	new exported macro

	* /cvsroot/clocc/clocc/src/cllib/octave.lisp (flush-stream): removed

2000-11-01  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/math.lisp (*primes*, *primes-file*):
	export

2000-10-09  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/sorted.lisp (multi-union):
	new exported function

2000-10-02  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/miscprint.lisp (print-all-ascii):
	added a doc string

2000-09-29  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/math.lisp (permutation):
	new exported function, generates a specific
	 permutation based on the Fisher/Yates algorithm
	(with-permutations-shuffle): new exported macro,
	 uses `permutation'
	(make-vector-indexed): new helper function
	(vector-shuffle, with-permutations-lex): use it
	(permutations-list): added :shuffle method

	* /cvsroot/clocc/clocc/src/cllib/tests.lisp (test-math):
	new function (test permutations)
	use `warn' instead of `format t' throughout

2000-09-28  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/math.lisp (require :simple):
	for `with-collect'
	(with-permutations-swap): new exported macro,
	 implements algorithm 115 from CACM
	(with-permutations-lex): new exported macro,
	 implements algorithm 202 from CACM
	(permutations-list): new exported function,
	 returns all permutations of a vector
	(check-permutations-end): new helper function

2000-09-26  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/simple.lisp (filter): more comments

2000-09-13  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/math.lisp (vector-shuffle): export

2000-09-12  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/math.lisp (vector-shuffle):
	new function

2000-09-07  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/cvs.lisp (cvs-diff2patch):
	added historical note

2000-08-21  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp: comment fix

2000-08-19  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/closio.lisp (*closio-method*):
	new variable
	(read-object, print-object): use it

2000-08-16  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp (working-day-p):
	new function

	* /cvsroot/clocc/clocc/src/cllib/cvs.lisp (cvs-stat-log):
	give cvs `-q' to muffle stderr

	* /cvsroot/clocc/clocc/src/cllib/date.lisp (today): export
	(days-to-next-working-day): new function
	(previous-working-day, next-working-day): use it
	(*black-day-week*, *black-day-date*): new variables
	(black-days): new function
	(next-bad-day): removed, see `black-days'

2000-08-14  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/closio.lisp (print-object):
	need both `class-slot-initargs' and `class-slot-list'!

	* /cvsroot/clocc/clocc/src/cllib/closio.lisp (print-object):
	suppress the warning from Allegro CL about
	redefining a symbol in a locked package

	* /cvsroot/clocc/clocc/src/cllib/closio.lisp:
	require port:sys for `class-slot-initargs'
	(print-object): use `class-slot-initargs', not `class-slot-list'

2000-08-10  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (xml-read-from-file):
	accept `out' keyword argument

2000-08-07  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (with-xml-file):
	evaluate `file' just once

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (*browsers*):
	`:netscape' is not -remote now; `:netscape-remote' is

2000-07-25  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp: use `mesg' pervasively
	(ftp-mdtm): a new function to figure out mod time
	(url-ftp-get): new keyword arg `timestamp'

2000-07-24  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (*url-replies*): added `mdtm'
	(url-login-ftp): don't `cwd' when there is no directory

2000-07-20  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp (inspect-frontend :http):
	null `*inspect-browser*' means print URL.
	This way you can run lisp and browser on different machines.

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp:
	more debugging statements

2000-07-11  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp (navs=): new function
	(gq-fix-hist, process-results): use it

2000-06-29  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp (with-url-xml):
	bind `*xml-read-balanced*' and
	 `*xml-read-entities*' outside of `with-xml-input'
	(get-quotes): use (mesg :log) instead of (format t)

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp:
	use XML parsing instead of HTML parsing
	new backend - CNNFN
	(*gq-timeout*): new variable
	(with-url-xml): new macro
	(get-url-xml-tokens): new autoloaded function
	(stream-next-num, gq-dat, gq-next, gq-skip, gq-next-num): new functions
	(get-quotes-apl, get-quotes-yahoo, get-quotes-pf): use `with-url-xml'
	(get-quotes-cnn): new function
	(*get-quote-url-list*): added CNN
	(get-quotes): run all backends when `server' is T

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp:
	better support for HTML parsing
	require :net because of `socket' type
	use (mesg :xml) instead of (format t)
	(*xml-read-balanced*, *xml-read-entities*): new variables
	(xml-print-readably-p): new function
	(print-object): use it
	(xml-push): added declarations; return the `xml-obj' arg
	(stream-length): handle socket streams
	(xml-read-text): guard against EOF
	(xml-list-to-alist tost): handle marformed HTML
	(xml-destructure-attributes): new function
	(xml-read-tag, read-xml): use it
	(read-xml): handle comments better
	(make-xml-readtable): handle broken HTML
	(with-xml-input): do not reuse `*xml-readtable*'
	(xml-read-from-file): new argument `resolve-namespaces'

	* /cvsroot/clocc/clocc/src/cllib/log.lisp (*print-log*): added :xml

	* /cvsroot/clocc/clocc/src/cllib/geo.lisp (*census-gazetteer-url*):
	specify port

2000-06-28  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/html.lisp (html-stream-in: stream-read-char, stream-read-char-no-hang, stream-peek-char):
	fixed the :eof stuff

2000-06-26  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (*xml-pre-namespaces*, *xml-uri-namespaces*):
	eval-when for ACL

2000-06-23  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp:
	fixed the Gnuplot homepage

2000-06-16  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (xml-misc):
	new struct for yet-unhandled objects
	(xml-size): added `xmlt-size' flet
	(xml-push): handle `xml-decl'
	(xml-resolve-namespaces): handle `xml-decl'
	(read-xml): create `xml-misc'

2000-06-14  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp:
	major rewrite to better support XML namespaces
	new structs: `xml-name', `xml-namespace', `xml-tag', `xml-decl'
	(*xml-uri-namespaces*, *xml-pre-namespaces*): new variables
	(+xml-namespace-xml+, +xml-namespace-none+): new constants
	(xmlns-get, xmln-get, xmlns-print-all, xmlns-reset, xmln-prefix,
	 xmlo-long-p, xml-list-to-alist, xml-resolve-namespaces): new functions
	(xml-size): handle symbols, sequences and xml-names.
	(xml-push, xml-read-tag): assert with `equal', not `eq'
	(xml-obj-from-list, xml-list-to-namespaces): removed, replaced with
	 `xml-list-to-alist' throughout the file
	(make-xml-readtable): can modify a readtable argument
	(xml-read-from-file): call `xml-resolve-namespaces';
	 new keyword argument :repeat, passed to `read-from-stream'
	 (therefore require :fileio)

	* /cvsroot/clocc/clocc/src/cllib/miscprint.lisp (print-hash-table):
	deleted
	(make-ht-readtable): new function
	(print-object hash-table): new method

	* /cvsroot/clocc/clocc/src/cllib/closio.lisp, /cvsroot/clocc/clocc/src/cllib/h2lisp.lisp, /cvsroot/clocc/clocc/src/cllib/html.lisp:
	make-*-readtable can modify a readtable argument

	* /cvsroot/clocc/clocc/src/cllib/closio.lisp (print-object standard-object):
	use #[] only when
	 `*print-readably*' is non-NIL

2000-06-13  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/fileio.lisp (read-from-stream):
	new autoloaded exported function
	(read-from-file): use it

2000-06-12  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/miscprint.lisp (alist->plist, plist->alist):
	new functions

2000-06-07  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	under CMUCL, date depends on closio for `print-struct-object'

2000-06-06  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp:
	Handle multiple namespaces properly
	(print-object xml-obj): bind `*package*' to `*xml-pack*'
	(xml-list-to-namespaces): new function
	(xml-read-tag, read-xml): use it
	(read-xml): handle #\:
	(make-xml-readtable): set #\: to call read-xml

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (make-xml-readtable):
	treat #\' just like #\"

	* /cvsroot/clocc/clocc/src/cllib/cvs.lisp (cvs-read-file):
	handle deleted files

	* /cvsroot/clocc/clocc/src/cllib/miscprint.lisp (print-all-ascii, print-all-packages):
	autoload

2000-06-02  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (read-xml):
	read the extra #\; char

	* /cvsroot/clocc/clocc/src/cllib/cvs.lisp (cvs-stat-log):
	is the log file extsts, supersede it

	* /cvsroot/clocc/clocc/src/cllib/cvs.lisp (cvs-read-file):
	handle mixed stdout/stderr

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (*xml-print-xml*): export
	(print-object xml-obj): print empty tags in the short form,
	 when `*xml-print-xml*' is not `:sgml'
	(xml-read-tag): handle tags for empty elements

	* /cvsroot/clocc/clocc/src/cllib/base.lisp:
	handle logical pathnames with extensions

	* /cvsroot/clocc/clocc/src/cllib/prompt.lisp (set-cllib-prompt):
	ignore `cmd-idx' under #+allegro

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (*xml-ent-file*): full path
	(xml-de-uunicode): renemed to `xml-de-unicode'
	(stream-length): handle lists and concatenated-streams
	(initialize-instance :after xml-stream-in): use it
	(stream-read-char-no-hang): revived for ACL
	(with-xml-input): use `*xml-readtable*'
	(with-xml-file): do not bind `*readtable*'
	 (`with-xml-input' does this for us already)
	(xml-read-from-file): autoload

	* /cvsroot/clocc/clocc/src/cllib/tests.lisp (test-xml): new function
	(test-all): call it

2000-05-31  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/tests.lisp (test-cvs): new function
	(test-all): call it

	* /cvsroot/clocc/clocc/src/cllib/cvs.lisp (pathname-ensure-name):
	moved to port:sys

	* /cvsroot/clocc/clocc/src/cllib/autoload.lisp (*autoload-cookie*):
	export
	(autoload-generate): minor format tweak

2000-05-24  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/cvs.lisp: compute file sizes too
	(cvs-stat-log): handle directories

	* /cvsroot/clocc/clocc/src/cllib/geo.lisp, /cvsroot/clocc/clocc/src/cllib/gq.lisp, /cvsroot/clocc/clocc/src/cllib/inspect.lisp, /cvsroot/clocc/clocc/src/cllib/xml.lisp:
	fixed struct printing for CMUCL

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp:
	export `*inspect-browser*'

2000-05-23  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/cvs.lisp (cvs-diff2patch):
	`fmakunbound' for autoload

	* /cvsroot/clocc/clocc/src/cllib/card.lisp: comment

	* /cvsroot/clocc/clocc/src/cllib/cvs.lisp: typo

	* /cvsroot/clocc/clocc/src/cllib/cvs.lisp: CVS log and diff

	* /cvsroot/clocc/clocc/src/cllib/tests.lisp (test-date):
	test cvs-style date (yyyy/mm/dd hh:mm:ss)

	* /cvsroot/clocc/clocc/src/cllib/fileio.lisp (skip-to-line):
	do not compute (length ln) twice

	* /cvsroot/clocc/clocc/src/cllib/elisp.lisp (emacs-lisp):
	shadow `autoload'

2000-05-22  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/prompt.lisp (set-cllib-prompt):
	new function, call it to set the prompt.
	Loading this file does not change the prompt annymore.

	* /cvsroot/clocc/clocc/src/cllib/animals.lisp, /cvsroot/clocc/clocc/src/cllib/h2lisp.lisp, /cvsroot/clocc/clocc/src/cllib/list.lisp, /cvsroot/clocc/clocc/src/cllib/rpm.lisp:
	whitespace

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp (inspect-frontend :http):
	always `browse-url' to 127.0.0.1

	* /cvsroot/clocc/clocc/src/cllib/animals.lisp (node):
	surround with `eval-when' to avoid ACL warning

	* /cvsroot/clocc/clocc/src/cllib/autoload.lisp (autoload-generate):
	save the implementation name too
	(*autoload-cookie*): new variable
	(autoload-stream): use it

2000-05-19  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/closio.lisp (macroexpand-r):
	added the `autoload' cookie

	* /cvsroot/clocc/clocc/src/cllib/symb.lisp (kwd, keyword-concat):
	fixed declarations

	* /cvsroot/clocc/clocc/src/cllib/log.lisp (with-timing):
	new gensym %out to avoid multiple evaluation

	* /cvsroot/clocc/clocc/src/cllib/tests.lisp (test-url):
	use `make-url' instead of #S(url)
	(test-elisp): handle CMUCL read errors

	* /cvsroot/clocc/clocc/src/cllib/htmlgen.lisp (with-html-output):
	do not generate footer code when footer is NIL

2000-05-19  rtoy  <rtoy@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/symb.lisp:
	kwd is declared to return exactly one value.  Make it so.  (Cleans up
	some warnings from CMUCL.)

2000-05-18  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp: more doc strings

	* /cvsroot/clocc/clocc/src/cllib/miscprint.lisp (print-all-ascii):
	`char-code-limit' is not a valid
	argument for `code-char'

2000-05-16  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/tests.lisp: regression testing

	* /cvsroot/clocc/clocc/src/cllib/elisp.lisp (+elisp-pack+):
	new constant
	(compile-el-file, el::load): bind `*package*' to `+elisp-pack+'

	* /cvsroot/clocc/clocc/src/cllib/animals.lisp, /cvsroot/clocc/clocc/src/cllib/card.lisp, /cvsroot/clocc/clocc/src/cllib/closio.lisp (*clos-readtable*):
	renamed to +clos-readtable+ (const)

	* /cvsroot/clocc/clocc/src/cllib/elisp.lisp (emacs-lisp):
	use cllib, not cl-user

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp (print-inspection):
	do not ignore `backend'

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp (inspection):
	fixed type for `nth-slot'

	* /cvsroot/clocc/clocc/src/cllib/prompt.lisp:
	prompt for allegro: ignore `ib'

2000-05-15  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/fin.lisp (mgg-compare): detailed doc

	* /cvsroot/clocc/clocc/src/cllib/check.lisp, /cvsroot/clocc/clocc/src/cllib/datedl.lisp, /cvsroot/clocc/clocc/src/cllib/fin.lisp, /cvsroot/clocc/clocc/src/cllib/geo.lisp, /cvsroot/clocc/clocc/src/cllib/iter.lisp, /cvsroot/clocc/clocc/src/cllib/log.lisp, /cvsroot/clocc/clocc/src/cllib/math.lisp, /cvsroot/clocc/clocc/src/cllib/octave.lisp, /cvsroot/clocc/clocc/src/cllib/stat.lisp, /cvsroot/clocc/clocc/src/cllib/tilsla.lisp, /cvsroot/clocc/clocc/src/cllib/url.lisp, /cvsroot/clocc/clocc/src/cllib/withtype.lisp:
	qualify all float constants as doubles

2000-05-12  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (*url-open-init*):
	new variable
	(open-url, with-open-url): new keyword argument :init

	* /cvsroot/clocc/clocc/src/cllib/card.lisp, /cvsroot/clocc/clocc/src/cllib/closio.lisp, /cvsroot/clocc/clocc/src/cllib/date.lisp, /cvsroot/clocc/clocc/src/cllib/datedl.lisp, /cvsroot/clocc/clocc/src/cllib/elisp.lisp, /cvsroot/clocc/clocc/src/cllib/geo.lisp, /cvsroot/clocc/clocc/src/cllib/gq.lisp, /cvsroot/clocc/clocc/src/cllib/math.lisp, /cvsroot/clocc/clocc/src/cllib/rpm.lisp, /cvsroot/clocc/clocc/src/cllib/url.lisp, /cvsroot/clocc/clocc/src/cllib/xml.lisp:
	commend eval-when as CMUCL-specific

	* /cvsroot/clocc/clocc/src/cllib/animals.lisp, /cvsroot/clocc/clocc/src/cllib/autoload.lisp:
	dropped eval-when around CLOS defs

	* /cvsroot/clocc/clocc/src/cllib/string.lisp (sequence-type):
	new function
	(substitute-subseq, substitute-subseq-if): use it

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp (inspect):
	renamed to `inspect-cllib' to avoid package-lock errors

	* /cvsroot/clocc/clocc/src/cllib/h2lisp.lisp:
	removed the CMUCL's pushnew pcl::*defmethod-times*

	* /cvsroot/clocc/clocc/src/cllib/fileio.lisp (file-size-t):
	surround in `eval-when' for ACL

	* /cvsroot/clocc/clocc/src/cllib/doall.lisp:
	all `require's in one `eval-when'

	* /cvsroot/clocc/clocc/src/cllib/base.lisp (defpackage cllib):
	moved `export' here

2000-05-12  rtoy  <rtoy@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/geo.lisp:
	For portability, it's type (double-float 0d0), not (double-float 0.0).

2000-05-11  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/html.lisp (stream-unread-char):
	fixed the call to `unread-char'

2000-05-09  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/math.lisp (product-from-to, binomial):
	export

2000-05-08  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/getopt.lisp (parse-object):
	new function
	(getopt): new options `allow-less' and `allow-more'

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (with-xml-file):
	no messages when `out' is nil

	* /cvsroot/clocc/clocc/src/cllib/log.lisp (with-timing):
	no message when `out' is nil

	* /cvsroot/clocc/clocc/src/cllib/fileio.lisp (read-from-file):
	no message when `out' is nil

	* /cvsroot/clocc/clocc/src/cllib/rpm.lisp (rpm-get-available, rpm-get-present):
	pass `out' to `with-timing'

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (with-xml-file): new key :out

	* /cvsroot/clocc/clocc/src/cllib/fileio.lisp (read-from-file):
	pass `out' to `with-timing'

	* /cvsroot/clocc/clocc/src/cllib/log.lisp (with-timing): new key :out

2000-05-04  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/getopt.lisp:
	parse command line arguments - for Lisp scripting

	* /cvsroot/clocc/clocc/src/cllib/log.lisp (elapsed, with-timing):
	use `pr-secs' without colon

2000-05-02  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp: *** empty log message ***

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (xml-stream-in):
	`eval-when' for CMUCL

	* /cvsroot/clocc/clocc/src/cllib/check.lisp, /cvsroot/clocc/clocc/src/cllib/closio.lisp, /cvsroot/clocc/clocc/src/cllib/fin.lisp, /cvsroot/clocc/clocc/src/cllib/geo.lisp, /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp, /cvsroot/clocc/clocc/src/cllib/gq.lisp, /cvsroot/clocc/clocc/src/cllib/h2lisp.lisp, /cvsroot/clocc/clocc/src/cllib/html.lisp, /cvsroot/clocc/clocc/src/cllib/iter.lisp, /cvsroot/clocc/clocc/src/cllib/laser.lisp, /cvsroot/clocc/clocc/src/cllib/list.lisp, /cvsroot/clocc/clocc/src/cllib/log.lisp, /cvsroot/clocc/clocc/src/cllib/math.lisp, /cvsroot/clocc/clocc/src/cllib/matrix.lisp, /cvsroot/clocc/clocc/src/cllib/miscprint.lisp, /cvsroot/clocc/clocc/src/cllib/octave.lisp, /cvsroot/clocc/clocc/src/cllib/rpm.lisp, /cvsroot/clocc/clocc/src/cllib/server.lisp, /cvsroot/clocc/clocc/src/cllib/simple.lisp, /cvsroot/clocc/clocc/src/cllib/sorted.lisp, /cvsroot/clocc/clocc/src/cllib/stat.lisp, /cvsroot/clocc/clocc/src/cllib/symb.lisp, /cvsroot/clocc/clocc/src/cllib/tilsla.lisp, /cvsroot/clocc/clocc/src/cllib/withtype.lisp:
	removed declaim optimize

	* /cvsroot/clocc/clocc/src/cllib/fileio.lisp (write-list-to-file):
	return `len' and `size'
	(write-to-file): return `file-length'

	* /cvsroot/clocc/clocc/src/cllib/elisp.lisp (string-to-number):
	floats too
	replaced `setf fdefinition' with `defsubst'

	* /cvsroot/clocc/clocc/src/cllib/doall.lisp: removed #-gcl

	* /cvsroot/clocc/clocc/src/cllib/datedl.lisp:
	fixed `declaim ftype' statements

	* /cvsroot/clocc/clocc/src/cllib/clhs.lisp (*clhs-root-local*):
	new variable
	(clhs-snarf-examples): use it

	* /cvsroot/clocc/clocc/src/cllib/date.lisp (date-in-list, tomorrow, yesterday, days-between, next-bad-day, date):
	fixed `declaim ftype'

	* /cvsroot/clocc/clocc/src/cllib/card.lisp (define-print-method):
	use `symbol-concat'
	require :url

	* /cvsroot/clocc/clocc/src/cllib/autoload.lisp (autoload-stream):
	surround in `eval-when' for CMUCL

	* /cvsroot/clocc/clocc/src/cllib/animals.lisp (node):
	surround in `eval-when' for CMUCL

2000-05-01  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/card.lisp, /cvsroot/clocc/clocc/src/cllib/date.lisp, /cvsroot/clocc/clocc/src/cllib/datedl.lisp, /cvsroot/clocc/clocc/src/cllib/fileio.lisp, /cvsroot/clocc/clocc/src/cllib/fin.lisp, /cvsroot/clocc/clocc/src/cllib/geo.lisp, /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp, /cvsroot/clocc/clocc/src/cllib/gq.lisp, /cvsroot/clocc/clocc/src/cllib/iter.lisp, /cvsroot/clocc/clocc/src/cllib/list.lisp, /cvsroot/clocc/clocc/src/cllib/log.lisp, /cvsroot/clocc/clocc/src/cllib/math.lisp, /cvsroot/clocc/clocc/src/cllib/miscprint.lisp, /cvsroot/clocc/clocc/src/cllib/rpm.lisp, /cvsroot/clocc/clocc/src/cllib/stat.lisp, /cvsroot/clocc/clocc/src/cllib/symb.lisp, /cvsroot/clocc/clocc/src/cllib/tilsla.lisp, /cvsroot/clocc/clocc/src/cllib/url.lisp:
	fixed values declaration

2000-04-27  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp (get-quotes-apl):
	ignore errors in date
	(get-quotes-yahoo, get-quotes-sm): specify float type

	* /cvsroot/clocc/clocc/src/cllib/matrix.lisp (bilinear): quote
	(matrix-solve): ignore condition

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (with-xml-file):
	removed unused vars

	* /cvsroot/clocc/clocc/src/cllib/html.lisp (*html-parse-tags*):
	removed; always parse
	(read-html-markup): use `xml-read-comment'
	(read-next): <GROSS_HACK> never append in `ts-pull-next'

	* /cvsroot/clocc/clocc/src/cllib/matrix.lisp (bilinear):
	fixed `loop' keywords

	* /cvsroot/clocc/clocc/src/cllib/datedl.lisp: minor

	* /cvsroot/clocc/clocc/src/cllib/math.lisp (kurtosis-skewness, kurtosis-skewness):
	new functions

	* /cvsroot/clocc/clocc/src/cllib/matrix.lisp, /cvsroot/clocc/clocc/src/cllib/stat.lisp:
	added matrix.lisp

	* /cvsroot/clocc/clocc/src/cllib/datedl.lisp (weighted-mean-dl):
	call `weighted-mean' appropriately

	* /cvsroot/clocc/clocc/src/cllib/math.lisp (make-primes-list):
	use `with-timing'
	(weighted-mean, weighted-geometric-mean): two keyword
	 args `value' and `weight' instead of one `key'
	(weighted-mean-cons, weighted-geometric-mean-cons): removed
	(weighted-standard-deviation): new function

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (with-xml-file):
	use `with-timing'

	* /cvsroot/clocc/clocc/src/cllib/geo.lisp: do not require :log

	* /cvsroot/clocc/clocc/src/cllib/rpm.lisp (rpm-get-available, rpm-get-present):
	use `with-timing'

	* /cvsroot/clocc/clocc/src/cllib/fileio.lisp (write-list-to-file, read-list-from-file, write-to-file, read-from-file):
	use `with-timing'

	* /cvsroot/clocc/clocc/src/cllib/clhs.lisp (clhs-write-entities):
	use `with-timing'

	* /cvsroot/clocc/clocc/src/cllib/log.lisp (elapsed-1): removed
	(with-timing): new macro

2000-04-21  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/math.lisp (product-from-to, binomial):
	new functions
	(!): use `product-from-to'
	(!!): sped up

2000-04-19  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp (inspect-frontend :http):
	use `socket-server-string'

2000-04-10  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/simple.lisp (list-length-dotted):
	declare type of `nn'

	* /cvsroot/clocc/clocc/src/cllib/closio.lisp, /cvsroot/clocc/clocc/src/cllib/fileio.lisp:
	moved `pr' from closio to fileio

	* /cvsroot/clocc/clocc/src/cllib/sorted.lisp (top-bottom-fl):
	`label' defaults to `identity'

	* /cvsroot/clocc/clocc/src/cllib/animals.lisp (save-restore-network):
	fixed call to `save-restore':
	:clos is now :readtable, require :closio for that

	* /cvsroot/clocc/clocc/src/cllib/math.lisp (number-sum-split):
	fixed `declare'

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (url-ask, url-login-ftp):
	use `socket-host/port'

	* /cvsroot/clocc/clocc/src/cllib/server.lisp (cl-server-mesg):
	new function
	(cl-server): use it

2000-04-04  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (xml-read-entity):
	the lambdas now take an optional argument
	to specify whethe we need a string or a stream
	(xml-entity): `string' keyword argument to use that
	(xml-expand-entities): revived
	(xml-obj-from-list): call it to expand the entities
	in the attribute values
	(xml-ascii-p, xml-de-uunicode): new functions
	(print-object xml-obj): use them
	(stream-length): new function
	(xml-trim-key): removed
	(read-xml): handle non-UNICODE lisps
	(with-xml-input, with-xml-file): new macros
	(xml-read-from-file): use `with-xml-file'

	* /cvsroot/clocc/clocc/src/cllib/string.lisp (substitute-subseq, substitute-subseq-if):
	do not cons
	when there is nothing to change

	* /cvsroot/clocc/clocc/src/cllib/fileio.lisp (write-to-file): autoload

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp (xml-size):
	compute the size of the xml document
	(*xml-print-xml*): print an xml-obj for xml parsing
	(print-object xml-obj): use the above

	* /cvsroot/clocc/clocc/src/cllib/fileio.lisp (file-newer):
	no need to call `probe-file'
	(latest-file): access the dist once per file

2000-04-03  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/server.lisp:
	server needs prompt for `package-short-name'

	* /cvsroot/clocc/clocc/src/cllib/log.lisp (get-float-time, elapsed):
	0.0 is not double float by default

2000-03-31  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp: now works with entities too
	(*xml-ent-file*, *xml-keep-comments*): new variables
	(xml-init-entities, xml-read-entity, xml-entity, xml-read-tag,
	 xml-read-from-file): new functions
	many more changes, too numerous to mention

2000-03-30  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/clhs.lisp (clhs-write-entities):
	exported; special case for symbol `lambda',
	which has separate symbol and macro pages; publish a symbol as a
	`literal', not a `function'

2000-03-28  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (url-get-port):
	`socket-service-port' returns a `servent'

2000-03-27  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/clhs.lisp (clhs-write-entities):
	wipe out the file (since CL lacks file
	truncation functionality, this is the only way to go)

	* /cvsroot/clocc/clocc/src/cllib/animals.lisp, /cvsroot/clocc/clocc/src/cllib/autoload.lisp, /cvsroot/clocc/clocc/src/cllib/base.lisp, /cvsroot/clocc/clocc/src/cllib/card.lisp, /cvsroot/clocc/clocc/src/cllib/check.lisp, /cvsroot/clocc/clocc/src/cllib/closio.lisp, /cvsroot/clocc/clocc/src/cllib/date.lisp, /cvsroot/clocc/clocc/src/cllib/datedl.lisp, /cvsroot/clocc/clocc/src/cllib/doall.lisp, /cvsroot/clocc/clocc/src/cllib/elisp.lisp, /cvsroot/clocc/clocc/src/cllib/fileio.lisp, /cvsroot/clocc/clocc/src/cllib/fin.lisp, /cvsroot/clocc/clocc/src/cllib/geo.lisp, /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp, /cvsroot/clocc/clocc/src/cllib/gq.lisp, /cvsroot/clocc/clocc/src/cllib/h2lisp.lisp, /cvsroot/clocc/clocc/src/cllib/html.lisp, /cvsroot/clocc/clocc/src/cllib/iter.lisp, /cvsroot/clocc/clocc/src/cllib/laser.lisp, /cvsroot/clocc/clocc/src/cllib/list.lisp, /cvsroot/clocc/clocc/src/cllib/log.lisp, /cvsroot/clocc/clocc/src/cllib/math.lisp, /cvsroot/clocc/clocc/src/cllib/miscprint.lisp, /cvsroot/clocc/clocc/src/cllib/octave.lisp, /cvsroot/clocc/clocc/src/cllib/prompt.lisp, /cvsroot/clocc/clocc/src/cllib/rpm.lisp, /cvsroot/clocc/clocc/src/cllib/server.lisp, /cvsroot/clocc/clocc/src/cllib/simple.lisp, /cvsroot/clocc/clocc/src/cllib/sorted.lisp, /cvsroot/clocc/clocc/src/cllib/stat.lisp, /cvsroot/clocc/clocc/src/cllib/string.lisp, /cvsroot/clocc/clocc/src/cllib/symb.lisp, /cvsroot/clocc/clocc/src/cllib/tilsla.lisp, /cvsroot/clocc/clocc/src/cllib/url.lisp, /cvsroot/clocc/clocc/src/cllib/withtype.lisp:
	uniform (c) statement

	* /cvsroot/clocc/clocc/src/cllib/clhs.lisp: Generate the CLHS entities
	require :string for `substitute-subseq'
	(+clhs-alist+): new constant
	(clhs-write-entity, clhs-write-entities): new functions

2000-03-24  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/string.lisp (substitute-subseq):
	use `reduce' instead of `apply'
	(substitute-subseq-if): new function

	* /cvsroot/clocc/clocc/src/cllib/fileio.lisp (read-from-file):
	`repeat' can be T, to read all objects

	* /cvsroot/clocc/clocc/src/cllib/htmlgen.lisp (close): new method
	(with-html-output): use `with-open-stream'

2000-03-23  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/html.lisp (read-next):
	bind `*read-default-float-format*'

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp (read-pfl, read-hist):
	bind `*read-default-float-format*'

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp: everything but the entities
	(compress-whitespace): new function

	* /cvsroot/clocc/clocc/src/cllib/withtype.lisp (+whitespace+, whitespace-char-p):
	moved here

	* /cvsroot/clocc/clocc/src/cllib/string.lisp:
	require :withtype for `index-t'

	* /cvsroot/clocc/clocc/src/cllib/prompt.lisp:
	fixed `require', added `provide' and `in-package'

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp (insp-check):
	use `warn' instead of `assert'

	* /cvsroot/clocc/clocc/src/cllib/prompt.lisp:
	boldify the prompt in xterm (extracted from base.lisp)

2000-03-22  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/base.lisp: removed the prompt stuff

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp, /cvsroot/clocc/clocc/src/cllib/url.lisp:
	fixed `require' statements

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp (save-data):
	bind `*package*' to `+kwd+', use `file-length'
	instead of `read' to find out whether the file is new

2000-03-21  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/xml.lisp: added xml.lisp - XML parsing

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (*browsers*):
	support more browsers

	* /cvsroot/clocc/clocc/src/cllib/elisp.lisp: minor formatting

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp (inspection): commented
	(insp-check): new function
	(get-insp): use it
	(*inspect-browser*): new variable
	(inspect-frontend :http): use it
	(inspect): use it for the new :browser keyword arg

	* /cvsroot/clocc/clocc/src/cllib/fileio.lisp:
	do not require `closio' anymore
	(read-from-file): autoload and use keyword arguments :repeat and
	:readtable instead of the optional argument
	(save-restore): ditto

2000-03-17  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp (inspect-read-clean-eval):
	new function
	(inspect-frontend :tty): use it for :eval and :modify

2000-03-15  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp:
	Use a vector instead of a hash to keep the history.
	Re-inspect Self actually works correctly now.
	(*inspect-hash*, *inspect-count*): deleted
	(*inspect-all*): new variable (vector with a `fill-pointer')
	(inspection): init `id' from (fill-pointer *inspect-all*)
	(insp-left-p): check for :up too (just in case)
	(inspect-backend :around): do not push the INSPECTION object into
	 `*inspect-all*' when :id is given
	(get-insp): call `inspect-backend' with :id on :s
	(inspect-finalize): clean `*inspect-all*'
	(insp-num-slots-print): new function (how many slots to print)
	(print-inspection): use it

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp:
	do not use `print-object':
	(inspect-frontend): call `print-inspection' directly, not `princ'

2000-03-13  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp:
	No recursion; browsing works as expected
	(*inspect-depth*): removed
	(inspection): added `id' and `pos', removed `left' and `right'
	(*inspect-count*, *inspect-hash*): new variables
	(set-slot-error): new function
	(with-nth-hash-slot): new macro
	(inspect-backend): handle hash tables, ratios and complex numbers
	(inspect-finalize): new generic function

	* /cvsroot/clocc/clocc/src/cllib/miscprint.lisp:
	autoload `print-hash-table'

	* /cvsroot/clocc/clocc/src/cllib/htmlgen.lisp: export `with-tag'

	* /cvsroot/clocc/clocc/src/cllib/html.lisp: typo

2000-03-09  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/html.lisp, /cvsroot/clocc/clocc/src/cllib/htmlgen.lisp:
	require port:gray

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp: Added the HTTP frontend
	(inspect-child-loop, http-command, http-insp-out): new functions
	(*inspect-http-server*, *inspect-http-socket*): new parameters

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (*browsers*):
	use more common default paths
	(browse-url): fixed the `run-prog' call

	* /cvsroot/clocc/clocc/src/cllib/string.lisp (substitute-subseq):
	optimized for many changes

	* /cvsroot/clocc/clocc/src/cllib/htmlgen.lisp (html-stream):
	new Gray stream
	(with-html-output): new macro, `with-tag' is defined inside it
	 with `macrolet'
	(with-tag, with-open-html): removed
	(directory-index): modified accordingly

	* /cvsroot/clocc/clocc/src/cllib/html.lisp:
	do not export the things which are now in htmlgen.lisp

2000-03-03  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (*browsers*): export
	(browse-url): renamed from `view-url', new key arg `out'

	* /cvsroot/clocc/clocc/src/cllib/geo.lisp (view-country):
	`view-url' is now called `browse-url'

	* /cvsroot/clocc/clocc/src/cllib/autoload.lisp (autoload-stream):
	`fresh-line' log

	* /cvsroot/clocc/clocc/src/cllib/htmlgen.lisp:
	initial version - extracted from html.lisp

	* /cvsroot/clocc/clocc/src/cllib/html.lisp:
	moved HTML generation to htmlgen

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (*mail-host-address*, *user-mail-address*):
	moved to base

	* /cvsroot/clocc/clocc/src/cllib/base.lisp (*mail-host-address*, *user-mail-address*):
	new variables

	* /cvsroot/clocc/clocc/src/cllib/inspect.lisp:
	initial version - tty frontend (almost?) works

	* /cvsroot/clocc/clocc/src/cllib/simple.lisp (list-length-dotted):
	new function

2000-03-01  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/closio.lisp (arglist, class-slot-list):
	moved to port:sys

	* /cvsroot/clocc/clocc/src/cllib/autoload.lisp:
	do not load unnecessary stuff when loading autoloads
	(*autoload-defun*): new variable
	(autoload-generate): write it into the autoloads file

2000-02-18  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/autoload.lisp, /cvsroot/clocc/clocc/src/cllib/check.lisp, /cvsroot/clocc/clocc/src/cllib/closio.lisp, /cvsroot/clocc/clocc/src/cllib/datedl.lisp, /cvsroot/clocc/clocc/src/cllib/doall.lisp, /cvsroot/clocc/clocc/src/cllib/fileio.lisp, /cvsroot/clocc/clocc/src/cllib/html.lisp, /cvsroot/clocc/clocc/src/cllib/iter.lisp, /cvsroot/clocc/clocc/src/cllib/laser.lisp, /cvsroot/clocc/clocc/src/cllib/log.lisp, /cvsroot/clocc/clocc/src/cllib/miscprint.lisp, /cvsroot/clocc/clocc/src/cllib/server.lisp, /cvsroot/clocc/clocc/src/cllib/simple.lisp, /cvsroot/clocc/clocc/src/cllib/sorted.lisp, /cvsroot/clocc/clocc/src/cllib/stat.lisp, /cvsroot/clocc/clocc/src/cllib/string.lisp, /cvsroot/clocc/clocc/src/cllib/symb.lisp, /cvsroot/clocc/clocc/src/cllib/tilsla.lisp, /cvsroot/clocc/clocc/src/cllib/withtype.lisp:
	extracted from the old files

	* /cvsroot/clocc/clocc/src/cllib/elisp.lisp, /cvsroot/clocc/clocc/src/cllib/fin.lisp, /cvsroot/clocc/clocc/src/cllib/geo.lisp, /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp, /cvsroot/clocc/clocc/src/cllib/gq.lisp, /cvsroot/clocc/clocc/src/cllib/h2lisp.lisp, /cvsroot/clocc/clocc/src/cllib/list.lisp, /cvsroot/clocc/clocc/src/cllib/math.lisp, /cvsroot/clocc/clocc/src/cllib/octave.lisp, /cvsroot/clocc/clocc/src/cllib/rpm.lisp, /cvsroot/clocc/clocc/src/cllib/url.lisp, /cvsroot/clocc/clocc/src/cllib/animals.lisp, /cvsroot/clocc/clocc/src/cllib/base.lisp, /cvsroot/clocc/clocc/src/cllib/card.lisp, /cvsroot/clocc/clocc/src/cllib/clhs.lisp, /cvsroot/clocc/clocc/src/cllib/date.lisp:
	reworked for defsystem

2000-01-25  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp (gq-complete-url):
	print to `*gq-error-stream*' here
	(get-quotes-apl, get-quotes-pf, get-quotes-sm, get-quotes-sm):
	 modified accordingly
	(get-quotes-yahoo): new function
	(*get-quote-url-list*): added yahoo

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (ts-pull-next):
	bugfix when '.' is the last char
	(next-number): add #\% to kill
	(next-token): print `tyoe-of' token

2000-01-19  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/base.lisp: boldify allegro prompt too

	* /cvsroot/clocc/clocc/src/cllib/elisp.lisp:
	require print for `make-clos-readtable'

	* /cvsroot/clocc/clocc/src/cllib/list.lisp (with-collect):
	do not convert case in `gensym'

	* /cvsroot/clocc/clocc/src/cllib/math.lisp (number-sum-split, all-num-split):
	new functions

	* /cvsroot/clocc/clocc/src/cllib/rpm.lisp (*rpm-locations*):
	fixed some paths
	(rpm-read): close the stream

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (resolve-host-ipaddr):
	fixed for CLISP/syscalls

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp (get-quotes-sm):
	expanded debug

2000-01-06  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp: fewer #+/#-
	(get-quotes-apl): call `infer-date'
	(infer-date): first arg can be a date
	(process-results): better output formatting
	(update-quotes): new key `log'

1999-11-24  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/clhs.lisp, /cvsroot/clocc/clocc/src/cllib/h2lisp.lisp:
	bring up to date (long overdue checkin)

1999-11-12  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/fin.lisp (mgg-term, mgg-discount):
	doc fixes.

1999-11-02  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp (pr-res):
	use `formatter'; 8th optional arg.
	(process-results): adapt to new `pr-res'; `out' must be a stream.
	(update-quotes): dump the `ia' business.

1999-10-29  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/fin.lisp (solow-next-year):
	renamed from `next-year'.
	(mgg-prepay): better output formatting.

1999-10-25  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/rpm.lisp (*rpm-local-paths*):
	removed eagle-specifics.
	(rpm-downloaded): look in both `*rpm-local-target*' and
	`*rpm-local-paths*'.
	(rpm-list-rpm): new keyword argument `local'.

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp:
	ditched the eagle-specific stuff

	* /cvsroot/clocc/clocc/src/cllib/elisp.lisp: Support LispWorks and GCL.

	* /cvsroot/clocc/clocc/src/cllib/animals.lisp:
	Surround some variable names with a `*'.
	(anml-chop-article): new function.
	(save-restore-animals): new function.
	(print-object node): new method.
	(save-restore-network): new function.

1999-10-19  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp (get-quotes-pf): updated.
	(infer-date): work with no args.
	(process-results): better date inference.
	(update-quotes): new `:debug' keyword argument.

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (ts-skip-scripts):
	new function.

	* /cvsroot/clocc/clocc/src/cllib/card.lisp (define-print-method):
	do not call `fdefinition'.

	* /cvsroot/clocc/clocc/src/cllib/date.lisp (previous-working-day):
	new function.

1999-10-14  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/octave.lisp:
	removed eagle-related junk

1999-10-13  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/list.lisp (with-sublist):
	cosmetic gensym rename.

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp (get-quotes-apl): updated.
	(*get-quote-url-list*): added ports (solaris can't guess http ports)
	(code): added a method for PFL.
	(update-quotes): bind `*gq-error-stream*' to nil.

	* /cvsroot/clocc/clocc/src/cllib/math.lisp (percent-change):
	handle 0 arguments.

1999-10-12  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (socket-service-port):
	corrected `services' path under win32.
	(url-ask): use `*url-replies*'.
	(url-login-ftp): fixed the error message.
	(html-stream): new Gray stream.
	(next-token, next-number): more verbose.

	* /cvsroot/clocc/clocc/src/cllib/base.lisp:
	Autodetect the compiled extension (`*fas-ext*').
	Treat TERM "emacs" as "dumb" for `lisp::*prompt*'.
	Purged Eagle proprietary modules.

1999-10-06  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/fin.lisp: New file.

1999-06-04  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp (dl-fl, with-saved-dl, with-truncated-dl):
	use `with-gensyms'.
	(with-saved-dls): call `gensym' with an argument.
	(volatility-dl): fix the second value.
	(print-volatilities):  align the years.

1999-06-03  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/rpm.lisp (download-data):
	do not include `url', use a alot instead.
	(dld-reset): set `dld-all' too.
	(rpm-list-size): new function.
	(*rpm-locations*): use `macrolet' to init.
	(rpm-prune-list): use `remove-if-not' instead of `mapcan'.
	(rpm-get-available): replaced `&optional' with `&key';
	new argument: `err'.

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (+bad-url+): new constant.
	(*rfc-base*): new variable.
	(protocol-rfc): renamed from `url-rfc'.
	(socket-server &c): support CMUCL & LispWorks.
	(*url-replies*): new variable.
	(url-ask): use it; `END' can be symbolic now.
	(cl-server): nascent CL server stuff (ripped from CMUCL).

	* /cvsroot/clocc/clocc/src/cllib/base.lisp (compose):
	partially reverted the previous patch.

	* /cvsroot/clocc/clocc/src/cllib/base.lisp (with-gensyms): new macro.
	(map-in): use it.
	(compose): treat quoted symbols properly.

1999-05-24  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp:
	(plot-dated-lists, plot-lists, plot-lists-arg):
	`ylabel' default depends on `rel'.

	* /cvsroot/clocc/clocc/src/cllib/geo.lisp (geo-data):
	complex `crd' instead of `lat'/`lon'.
	(print-geo-coords): the `coordinates' are always a complex number.
	(*country-file*): removed.
	(save-restore-country-list): use `save-restore'.
	(find-country): use `remove-if-not'.

	* /cvsroot/clocc/clocc/src/cllib/math.lisp (volatility):
	`dev-fn' keyword argument.
	(integrate-simpson): fixed `sum-odd' loop `:sum' type statement.

	* /cvsroot/clocc/clocc/src/cllib/date.lisp (timestamp):
	moved to util.lisp.
	(check-dates): check and fix roll-overs too.
	(*rollover-bad-date*): new variable.
	(rollover): use it.
	(dl-overlap): use `last' instead of `nthcdr'/`nreverse'.

	* /cvsroot/clocc/clocc/src/cllib/list.lisp (flatten, filter):
	new functions.
	(call-on-split): use filter.

	* /cvsroot/clocc/clocc/src/cllib/base.lisp (package-short-name):
	made public.
	(quit): made public.
	(*current-project*): "rules" depends on "report", "card"
	does not depend on "elisp"; added "animals".

	* /cvsroot/clocc/clocc/src/cllib/animals.lisp (node):
	new class; this begins a network implementation.
	(*network*, *root-node*): new variables.
	(symbol->node, resolve, mknode, get-symbol, add-node, play-game):
	new functions.
	(get-string): doesn't take a `stream' argument anymore.
	(fix-question, get-question): new functions.
	(anml-finish): use `get-question'.

1999-05-20  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp (with-truncated-dl):
	truncate both forward and backwards.
	(volatility-dl): take a keyword arg dev-fn.
	(exp-mov-avg-dl): fixed :name.

1999-05-15  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/rpm.lisp (download-data):
	new slot - `all'.
	(*rpm-locations-timeout*): new user variable.
	(rpm-new-packages): renamed `rpm-get-available'.  use
	`*rpm-locations-timeout*' to decide whether to get again.
	(show-rpms): new `local' optional argument.

1999-05-12  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp (plot-header):
	new options `xfmt' and `yfmt'.

1999-05-11  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp (date-latest, date-earliest):
	new functions.

	* /cvsroot/clocc/clocc/src/cllib/date.lisp (infer-timezone):
	use error 'case-error.
	(date<3, date>3): new functions.

1999-05-05  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp: LispWorks compatibility:
	(open-socket, resolve-host-ipaddr, open-socket-server):
	work with LispWorks; added the `not-implemented' condition.
	(socket-host, socket-port): added the `not-implemented' condition.
	(code, case-error): moved to base.lisp.

	* /cvsroot/clocc/clocc/src/cllib/list.lisp (nsplit-list):
	use the `case-error' condition.

	* /cvsroot/clocc/clocc/src/cllib/base.lisp:
	LispWorks & GCL compatibility:
	(*fas-ext*): added LispWorks extension.
	(code, case-error): moved the conditions here.
	(not-implemented): new `code' condition.
	(run-prog, pipe-output, pipe-input): works with LispWorks.
	(probe-directory): added LispWorks and generic code.
	(chdir, setf default-directory): base the latter on the former.

1999-05-03  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (login):
	new `network' condition.
	(open-socket-retry): return a socket or signal an error.
	(open-url): simplified.
	(url-ask): signal an error.
	(ftp-get-passive-socket): removed the loop.
	(*ftp-anonymous-passwords*): new variable.
	(url-login-ftp): use it; signal a `login' error on falure.

	* /cvsroot/clocc/clocc/src/cllib/rpm.lisp (*rpm-max-retry*):
	new variable.  Replaced the ubiquitous use of
	`timeout' keyword argument with `*rpm-timeout*'.
	(rpm-pos): new function.
	(rpm-skip-p): skip "pre" releases.

1999-04-26  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (with-open-html):
	moved `meta' to `head'; added `link'.

1999-04-22  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/card.lisp: Added relevant URLs.
	(card-print-as-vcard): fixed `tz' printing.
	(name-print-as-vcard): fixed slot order.
	(address-print-as-vcard): fixed `street3'.
	(card-read-vcard): new function; can read vCard files now.

	* /cvsroot/clocc/clocc/src/cllib/elisp.lisp (el::make-elisp-readtable):
	call `make-object-readtable'.
	(*elisp-readtable*): a constant now.

1999-04-21  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp (dttm->string):
	print the (zero) offset.
	(date): added a sample (commented out) CLOS implementation.

1999-04-20  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/card.lisp:
	BBDB input and all output methods work now.
	(card-output): slots contain symbols, not functions.
	(set-reading-braces): removed; use `el::make-elisp-readtable'.
	(init-sans-null-args): new function for `initialize-instance'.
	(initialize-instance card): primary method now.
	(*card-apellations*, *card-suffixes*): new variables.
	(initialize-instance name): new method.
	(card-org/title, time2string): new functions for printing.
	Searching:
	(*user-cards*): new variable.
	(object-match-p, find-card): new functions.

	* /cvsroot/clocc/clocc/src/cllib/base.lisp (*current-project*):
	card now requires `elisp' (for reading BBDB).

	* /cvsroot/clocc/clocc/src/cllib/elisp.lisp (el::make-elisp-readtable):
	redefine macro #\".
	(el::read-elisp-special): handle #\": \n, \r, \f, \t, \v.

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (url string):
	handle URL with cgi having confusing arguments.

	* /cvsroot/clocc/clocc/src/cllib/base.lisp:
	Handle the new file card.lisp.

1999-04-19  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (url-time):
	print the time difference.
	(open-url, url-get): fixed the call to (error 'code).

	* /cvsroot/clocc/clocc/src/cllib/card.lisp: New file.

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (*url-default-max-retry*):
	new user variable, the
	default for the `max-retry' key.

1999-04-18  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/base.lisp: Shut up CMUCL GC.

1999-04-17  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/rpm.lisp (download-data):
	new structure (AKA dld).
	(*rpm-locations*): a list of `download-data', replaces `*rpm-urls*'.
	(rpm-print-rpm-url): removed (replaced with `download-data').
	(rpm-new-packages, rpm-list-rpm, rpm-get-new-rpms &c): use `dld'.

	* /cvsroot/clocc/clocc/src/cllib/math.lisp (safe-fun):
	use `values-list'.
	(safe-fun1): new macro.

1999-04-16  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp (with-tag):
	added `value' key; better default for `terpri'.
	(with-open-html): added `head', `comment' and `footer' keys;
	fixed `doctype' key.
	(directory-index): added `&rest opts' for comment.
	use `value' key when calling `with-tag'.

1999-04-15  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/base.lisp (current-time):
	print `tz->string' with ~a.

1999-04-12  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/base.lisp (tz->string):
	new function: print the TimeZone to a string like "-0400"
	(current-time): use it.

1999-04-11  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp:
	Added `*html-output*' and `with-tag'.
	(with-open-html): bind `*html-output*'.  use `with-tag'.
	(directory-index): use `with-tag'.

1999-04-09  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/list.lisp:
	Replaced `collecting' with `with-collect' (multiple collection).

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp:
	`+gnuplot-epoch+' is now an integer, not a date.

	* /cvsroot/clocc/clocc/src/cllib/rpm.lisp:
	Added `short-string-to-rpm'.  Cleaned up the `rpm' generic function.

	* /cvsroot/clocc/clocc/src/cllib/animals.lisp:
	Use `string-beg-with' in `anml-add-article'.

	* /cvsroot/clocc/clocc/src/cllib/base.lisp:
	Moved `*current-project*' here.

	* /cvsroot/clocc/clocc/src/cllib/list.lisp: Added `collecting'.

1999-04-06  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp:
	Added `directory-index' and `with-open-html'.

1999-04-05  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Added `date-next-year', `date-next-month', `date-next-all'.

1999-03-27  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/base.lisp:
	Added condition `provide-require' and function `require-name-to-file'.
	Use the latter in `sds-require' and `autoload'.
	Added printing `lambda-list-keywords' in `sysinfo'.

1999-03-24  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/rpm.lisp:
	4 new fields in the RPM structure: `btime', `itime', `ftime' and `size'.
	Removed `+unix-epoch+'.
	Handle long `ls' output in (rpm string) method.
	Added `rpm-list-rpm'.

	* /cvsroot/clocc/clocc/src/cllib/url.lisp:
	More `*html-specials*'.  Added `url-rfc'.
	`socket-service-port' returns 4 values now.
	Added `*url-bytes-transferred*', `*url-opening-time*' and `url-eta'.
	Added two new keyword arguments to `ftp-list' - :name and :log.

1999-03-20  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Added `+unix-epoch+' and `unix-date'.

1999-03-17  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/math.lisp:
	Added `eval-cont-fract' and `fract-approx'.

1999-03-02  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/base.lisp: Added `defgeneric' `code'.

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Added `dl-last-date'.  Fixed `dl-next-chg'.
	Remove the first list when it is too short in `(setf dl-overlap)'.

1999-02-25  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp:
	Updated for the new `dated-list'.

	* /cvsroot/clocc/clocc/src/cllib/date.lisp: Added constant `+bad-dl+'.
	Added macros `with-saved-dl' and `with-saved-dls'.
	Macro `with-truncated-dl' uses `with-saved-dl' now.

	* /cvsroot/clocc/clocc/src/cllib/math.lisp:
	Moved `lincom' here from date.lisp.

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Added `date-f-t', `date<=3', `date>=3', `dl-reset', `mk-dl', `rollover'.
	Removed `dl-copy-shift'.  Fixed `dl-shift', `dl-overlap'.
	Improved `fixing' in `check-dates'.
	Added `cp' to `dated-list'.
	Added `describe-object' method for `dated-list'.

	* /cvsroot/clocc/clocc/src/cllib/math.lisp:
	`volatility': swapped return values.

1999-02-23  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Major changes: many lists in a dated list;
	`check-dates' can fix some problems.

1999-02-22  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/list.lisp:
	`call-on-split': new key `:min-len'.

	* /cvsroot/clocc/clocc/src/cllib/math.lisp:
	Use `:min-len' key in the `call-on-split' call in `volatility'.

	* /cvsroot/clocc/clocc/src/cllib/elisp.lisp: Works now.

	* /cvsroot/clocc/clocc/src/cllib/base.lisp:
	Added Naggum's ACL readtable fix.
	Added `probe-directory' and *fas-ext*.

1999-02-20  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/elisp.lisp: New file.

1999-02-19  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/rpm.lisp:
	`rpm-get-new-rpms': fix for timeout condition.

1999-02-09  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/rpm.lisp: Removed `catch timeout'.

	* /cvsroot/clocc/clocc/src/cllib/url.lisp: Removed `throw-timeout'.
	Added `socket-host', `socket-port' and a condition `timeout'.

1999-02-08  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp: Updated for cmucl 18b.

1999-02-02  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Added `to-string', fixed `string->dttm'.

	* /cvsroot/clocc/clocc/src/cllib/url.lisp:
	Moved `html-translate-specials' &c to clhs.lisp
	Expanded `url-time'.

1999-02-01  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Added `purge-string' and `*string-junk*'.
	Fixed `string->dttm' for the case when the date starts with a weekday.

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Use `string-tokens' in `date'.

1999-01-28  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/base.lisp:
	Moved `with-open-pipe' here.
	Renamed `current-environment' to `sysinfo'.

1999-01-26  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp: Added `plot-msg'.

1999-01-24  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/rpm.lisp:
	Added `rpm-skip-p', `*rpm-skip*', `rpm-print-rpm-url'.
	Use `with-open-pipe'.

1999-01-15  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/clhs.lisp: New file.

1999-01-13  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp, /cvsroot/clocc/clocc/src/cllib/math.lisp:
	Replaced CMUCL-specific print functions with a call to
	`print-struct-object'.

	* /cvsroot/clocc/clocc/src/cllib/url.lisp:
	Replaced top-level `*html-readtable*' creation forms with a new
	function, `make-html-readtable'.

	* /cvsroot/clocc/clocc/src/cllib/h2lisp.lisp:
	Replaced top-level `*c-readtable*' creation forms with a functions
	`make-c-readtable'.

	* /cvsroot/clocc/clocc/src/cllib/url.lisp:
	`read-html-markup' now handles #\;, #\: and #\, so it is not necessary
	now to remove these characters from buffer in `ts-pull-next'.

1999-01-12  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/base.lisp:
	Added `excl::time-other-base' for ACL's `time'.

	* /cvsroot/clocc/clocc/src/cllib/h2lisp.lisp: New file.

	* /cvsroot/clocc/clocc/src/cllib/list.lisp: Fixed the previous feature.

	* /cvsroot/clocc/clocc/src/cllib/list.lisp:
	Added key `obj' to `nsplit-list'.

1999-01-10  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp:
	Replaced `gq-fix-date' with `gq-guess-date'.

1999-01-09  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp:
	Extracted `ts-pull-next' from `read-next'.

1999-01-08  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Replaced calls to `date2days' with calls to `date-dd'.
	Speedups expected.

	* /cvsroot/clocc/clocc/src/cllib/url.lisp:
	Made `read-html-markup' skip `*html-specials*'.
	Added `with-timeout' for CMUCL, `socket-to-file', `*ts-kill*' (used in
	`read-next'), `url-get' (unifies all `url-get-*' functions).

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp: Fixed `get-quotes-sm'.

1999-01-07  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/math.lisp, /cvsroot/clocc/clocc/src/cllib/list.lisp, /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Use `index-t' instead of (unsigned-byte 20).

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp:
	Use `index-t' instead of (unsigned-byte 20).
	Use `close-pipe'.

	* /cvsroot/clocc/clocc/src/cllib/url.lisp:
	Use `index-t' instead of (unsigned-byte 20).
	Use `file-size-t' instead of (unsigned-byte 32).

	* /cvsroot/clocc/clocc/src/cllib/geo.lisp:
	Use `index-t' instead of (unsigned-byte 20).

	* /cvsroot/clocc/clocc/src/cllib/rpm.lisp:
	Use `close-pipe', `index-t' instead of (unsigned-byte 20).
	Added `version<' and a test suite for it.

	* /cvsroot/clocc/clocc/src/cllib/base.lisp: Added `index-t'.

1998-12-29  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp:
	Added `*nntpserver*', `url-get-host', `*url-default-sleep*',
	`*url-default-timeout*', `sleep-mesg', `with-timeout',
	`y-or-n-p-timeout', `finger'.
	Added news URL handling.
	Added `bin' argument to `ftp-get-passive-socket'.

1998-12-28  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/base.lisp: Added `close-pipe'.

1998-12-23  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp: Added `*gq-error-stream*'.

1998-12-10  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Added `dttm->string', `string->dttm' and `infer-timezone'.
	Made `infer-month' return NIL instead of signalling an error when the
	month cannot be inferred.

1998-12-09  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/base.lisp:
	Added `pipe-input'.  Sorted autoloads.

1998-12-07  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp:
	Added MAILTO handling; made :prot a keyword.
	New function: `send-mail'.
	Renamed `ftp-ask' to `url-ask'.

1998-12-03  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/rpm.lisp:
	Added a `note' field to the `rpm' structure.
	Added `rpm-get-present', `show-rpms', `rpm-current'.

1998-11-23  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/math.lisp: Added MDL structure.

1998-11-21  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp:
	Added `throw-timeout' to `open-socket-retry' and `open-url'.

	* /cvsroot/clocc/clocc/src/cllib/rpm.lisp: Added `timeout' catch/throw.

1998-11-20  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp:
	Added reget functionality to `ftp-get-file'.

	* /cvsroot/clocc/clocc/src/cllib/url.lisp: Added `open-socket-retry'.

1998-11-19  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp:
	Added ftp handling: `ftp-ask', `ftp-parse-sextuple', `url-open-ftp',
	`ftp-get-passive-socket', `ftp-get-file', `*buf-size*', `ftp-list'.
	Separated `open-url' from `open-socket' and made sure that the former
	does indeed opens a socket.

	* /cvsroot/clocc/clocc/src/cllib/rpm.lisp:
	Replaced `*rpm-local-path*' with a list - `*rpm-local-paths*'.

	* /cvsroot/clocc/clocc/src/cllib/rpm.lisp:
	Moved `binary-pos' to util.lisp.

1998-11-18  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/rpm.lisp: New file.

1998-11-17  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp:
	Reset output with "set output" after printing to flush the buffers, so
	that the printing takes effect immediately.

1998-11-13  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp:
	Added option `lines' to `plot-dated-lists'.

	* /cvsroot/clocc/clocc/src/cllib/math.lisp: Added `mean-some'.

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Added `days-week-day', `date-week-day' and `next-bad-day' for Friday the
	13th handling.

1998-11-05  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Added `date<=', `date>=' and `date=*'.

1998-10-30  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp:
	Replaced `parse-url' with a generic function.
	Added `*html-specials*', `html-translate-specials',
	`*hyperspec-root*' and `hyperspec-snarf-examples'.

1998-10-29  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/math.lisp:
	Fixed `standard-deviation-relative' to compute the actual volatility.

1998-10-21  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp:
	Switched to keys in `plot-header'.  Now, to add a gnuplot option, one
	needs to modify only `plot-header', not `plot-lists-arg' &c.

1998-10-19  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp:
	Added `term' (terminal) gnuplot option, allowing for multiple plot
	windows being displayed simultaneously.

1998-10-09  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp:
	Added `force-output' to `with-plot-stream', which fixes the CMUCL delay
	problem.

1998-10-06  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp:
	Added `xtics', `ytics' and `grid' gnuplot options.

1998-09-03  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/math.lisp:
	Ditched `sqr'.  Added `fibonacci', `primes-to', `divisors', `primep',
	`make-primes-list', `*primes*', `*primes-file*'.
	Special case 2 point regression in `regress'; don't signal error on
	negative error, just print a message and assume 0.

1998-08-05  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Added `date-mon-name' and `date-mon-offset'.

1998-08-03  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp:
	Use (getenv "SDSPRT") to get the printer name.

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Renamed `earliest-date' and `latest-date' to `date-min' and `date-max'.

1998-07-31  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/geo.lisp, /cvsroot/clocc/clocc/src/cllib/gq.lisp, /cvsroot/clocc/clocc/src/cllib/url.lisp:
	Declared `stream' as a stream in `print-*'.

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Added `exp-mov-avg-append' and `lincom'.
	Declared `stream' as a stream in `print-*'.

	* /cvsroot/clocc/clocc/src/cllib/math.lisp:
	Declare `stream' as a stream in `print-*'.
	Take `sqrt' of the correlation in `regress-n'.

1998-07-10  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/math.lisp:
	Added `regress-n' and `regress-poly'.
	Ditched `regress2' and `det3'.

1998-07-06  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Combined the two &key arguments of `dl-copy-shift' into one optional
	argument, branching on its type.

1998-06-30  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp, /cvsroot/clocc/clocc/src/cllib/gq.lisp, /cvsroot/clocc/clocc/src/cllib/geo.lisp:
	Switched to `print-object'.

1998-06-26  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Added `days-t' and `dl-slot'.  Switched to `print-object'.

	* /cvsroot/clocc/clocc/src/cllib/base.lisp:
	Added `mk-arr', `map-vec', fixed CMUCL's `getenv'.
	Reworked `current-environment'.

1998-06-19  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp:
	Switch from `compose-m' to `compose'.

	* /cvsroot/clocc/clocc/src/cllib/math.lisp, /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Use `defmethod' to print structures.

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Made `fix-date' not inline.  Added some declarations for CMUCL.

	* /cvsroot/clocc/clocc/src/cllib/base.lisp:
	Added `*prompt*'.  Ditched `step-on' and `step-off'.

	* /cvsroot/clocc/clocc/src/cllib/math.lisp:
	Made `normalize' work with arbitrary sequences.
	Many minor declarations for CMUCL added.

1998-06-16  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/math.lisp:
	Replaced division with recursion in `!!'.

1998-06-15  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp:
	Made `gq-fix-date' return the last trading date (skip weekend).

1998-06-12  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/base.lisp:
	Made `compose-m' more flexible, renamed it `compose', renamed the
	function `compose' into `compose-f'.
	Changed most variables into constants.

1998-06-09  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp:
	After printing, reset terminal and output back to screen - for flushing.

1998-06-08  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp:
	In function `plot-lists-arg', fixed :key boundaries.

1998-06-03  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp:
	Added a plot-key key, for placement of the gnuplot legend.

1998-05-27  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/math.lisp:
	Added :key to `freqs' and moved it to list.lisp.

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Moved sorted stuff from here to list.lisp.

	* /cvsroot/clocc/clocc/src/cllib/list.lisp:
	Moved the sorted stuff from date.lisp here.
	Moved `freqs' from math.lisp here.
	Added `zero-len-p'.

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Expanded `date' string recognition to include word months.

1998-05-26  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp:
	Adopted to work with ACL 5beta.

1998-05-22  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/animals.lisp:
	Added `anml-add-article'.

1998-05-21  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/base.lisp: Adopted to work with ACL 5.

1998-04-29  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Added (defmethod date ((xx integer)) (days2date xx)).
	The new slot DD works fine and all the saved data has correct dates.

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp:
	Made `*gnuplot-epoch*' into a constant `+gnuplot-epoch+'.
	Added function `plot-sec-to-epoch'.

1998-04-21  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/list.lisp:
	Added `with-nsplit' and `call-on-split'.

	* /cvsroot/clocc/clocc/src/cllib/octave.lisp:
	Replaced `get-currency' with `find-currency'.

1998-04-20  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Made the function slots in dated-list only sybols.

1998-04-03  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Added DD (days since epoch) to the date structure.
	Ditched *century*.

1998-03-23  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/math.lisp, /cvsroot/clocc/clocc/src/cllib/base.lisp, /cvsroot/clocc/clocc/src/cllib/list.lisp:
	New file.

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp, /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Fixed to work with ACL and CMU CL.

1998-03-10  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/url.lisp: New file.

	* /cvsroot/clocc/clocc/src/cllib/geo.lisp, /cvsroot/clocc/clocc/src/cllib/date.lisp, /cvsroot/clocc/clocc/src/cllib/gq.lisp:
	Replaced `multiple-value-set*' with `(setf (values ))'.

	* /cvsroot/clocc/clocc/src/cllib/geo.lisp: New file.

1998-02-19  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp:
	Switched to automatic guessing of data-style via `plot-data-style'.

1998-02-12  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp, /cvsroot/clocc/clocc/src/cllib/octave.lisp, /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp:
	Switched to `defgeneric' and `require'.

1998-01-14  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Portability: runs under CMU CL and ACL.

1997-12-08  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/animals.lisp: New file.

1997-12-04  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp:
	Made `with-plot-stream' and `plot-header' plot and print,
	not just write the file.

	* /cvsroot/clocc/clocc/src/cllib/date.lisp:
	Moved `channel' to channel.lisp.
	Made printing respect *print-readably*.

1997-11-12  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp: Added `regress-dl'.

1997-10-31  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp:
	Added cite-info and strip-html-markup.

1997-10-30  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/date.lisp: New file.

1997-10-29  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp: Added plot-functions.

1997-10-17  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp: Added plot-lists-arg.

1997-10-15  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gq.lisp: New file.

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp: Added plot-lists.
	Made plot-dated-lists plot exponential moving averages.

1997-10-08  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/octave.lisp: Moved make-dx-mx here.

1997-10-01  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp: Added plot-dated-lists.

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp: Cosmetic fixes.

1997-09-12  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/octave.lisp:
	flush-stream is not used anymore.

1997-09-11  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/octave.lisp: New file.

1997-08-28  sds  <sds@glip.premonitia.com>

	* /cvsroot/clocc/clocc/src/cllib/gnuplot.lisp: New file.

